org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPARelationshipMapType.JPARelationship

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPARelationshipMapType.JPARelationship

- Enclosing class:
    JPARelationshipMapType

      public static class JPARelationshipMapType.JPARelationship
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
       <simpleContent>
       <extension base="<http://www.w3.org/2001/XMLSchema>string">
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       </extension>
       </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPARelationship()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### name

          protected String name

  - ### Constructor Detail

    - #### JPARelationship

          public JPARelationship()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.